Send feedback
Method: bidders.filterSets.filteredBids.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This page provides details on how to list all reasons for which bids were filtered, along with the count for each reason.
The HTTP GET request uses a URL structure that includes the filter set name.
Path parameters are used to specify the filterSetName which can be at the bidder or account level.
Query parameters like pageSize and pageToken are available for pagination of results.
The request body for this method should be empty.
The response body will contain a ListFilteredBidsResponse instance upon success.
The request requires the https://www.googleapis.com/auth/adexchange.buyer authorization scope.
List all reasons for which bids were filtered, with the number of bids filtered for each reason.
HTTP request
GET https://adexchangebuyer.googleapis.com/v2beta1/{filterSetName=bidders/*/filterSets/*}/filteredBids
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
filterSetName
string
Name of the filter set that should be applied to the requested metrics. For example:
For a bidder-level filter set for bidder 123: bidders/123/filterSets/abc
For an account-level filter set for the buyer account representing bidder 123: bidders/123/accounts/123/filterSets/abc
For an account-level filter set for the child seat buyer account 456 whose bidder is 123: bidders/123/accounts/456/filterSets/abc
Query parameters
Parameters
pageSize
integer
Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.
pageToken
string
A token identifying a page of results the server should return. Typically, this is the value of ListFilteredBidsResponse.nextPageToken returned from the previous call to the filteredBids.list method.
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListFilteredBidsResponse .
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-09-18 UTC."],[],[]]